## klutshnik 0.2.0

=== debian/changelog ===
klutshnik (0.2.0-4) experimental; urgency=low

  * d/libklutshnik-dev.install: no longer uses /usr/bin/dh-exec; the
    libklutshnik-dev package ships the upstream test suite under
    /usr/share/klutshnik/test/ .  Developers can run
    /usr/share/klutshnik/test/test.sh to test the klutshnik software.
    (We ship it with the runtime since we cannot perform a full test at
    build time: a full test would need klutshnik servers which we cannot
    ship yet due to Bug #995670 (ITP: zig -- General-purpose programming
    language [...]).
  * d/control: stricter python3-pyoprf build-depends: from 0.6.0 to 0.8.0.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sun, 01 Jun 2025 05:56:47 +0200

klutshnik (0.2.0-3) experimental; urgency=low

  * d/conrol: add missing liboprf-dev to Build-Depends.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 21 May 2025 14:41:46 +0200

klutshnik (0.2.0-2) experimental; urgency=low

  * d/conrol: add missing libsodium-dev to Build-Depends.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 21 May 2025 06:40:12 +0200

klutshnik (0.2.0-1) experimental; urgency=low

  * New upstream, released 2025-05-17:
    [mod] bumped py client to v0.2.0
    [doc] added inline todo in cli src
    [mod] using cc-runtime to build klutshnikd az a static binary on
     x86_64 - zig has ___(mul|add|sub)vsi3 compiler_rt symbols missing
    [doc] initial version of whitepaper
    [doc] fixed dash position in manpage should be dash, not listing
    [doc] fixed misplaced - in manpage
    [doc] added import also to synopsis of client manpage
    [doc] added description for cli import operation to manpage
    [mod] improved client ltsigkey docs/exposure
    [mod] improved test.sh to have a more broad coverage
    [enh] substantial rewrite of arg-parsing and -passing, result
     processing and (de)serialization of metadata in cli client
    [mod] require and use tomlkit instead of tomllib in cli client
    [doc] typo in klutschnik(1) and remove keyname param from update op
     cli syntax
    [mod] test/otherclient/klutshnik.cfg drop noisekey and use
     ltsigkey_path
    [mod] updated gitignore
    [fix] add missing "piped" lt sigkey to test/
    [mod] use ltsigkey_path in test/klutshnik.cfg
    [mod] auth() in server uses op not perm for requiring owner to be
     the authenticated party
    [fix] cfg file manpages go to section 5
    [mod] updated usage() in client
    [mod] don't save/load owner_pks in savekey/loadkeymeta
    [mod] test/klutshnik.cfg clients don't need a noise key
    [mod] keyids are uniform over all kms's
    [fix] also include op-code in authentication signature
    [mod] start-servers.sh msg missed a trailing newline
    [fix] auth side-chan leaking info

  * d/rules: enable upstream tests. For now we ignore all errors in tests.
  * d/klutshnik.manpages: upstream klutshnik.cfg.1 moved to klutshnik.cfg.5.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sat, 17 May 2025 14:19:52 +0200

klutshnik (0.1.0-1) experimental; urgency=low

  * Initial public release (Closes: #1094647)

  * Split the package in 4: klutshnik, libklutshnik0, libklutshnik-dev,
    python3-klutshnik:
    - d/control: 3 new binary packages
    - d/{libklutshnik-dev,libklutshnik0,python3-klutshnik}.install: new
    - d/klutshnik.links moved to d/libklutshnik-dev.links
    - d/{not-installed,rules}: adjusted

  * d/control: add python3-toml and python3-securestring to
    python3-klutshnik Depends.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sun, 11 May 2025 09:07:12 +0200

klutshnik (0.1.0-0.1) experimental; urgency=low

  * This release was never uploaded to the Debian archive.

  * New (first) upstream, released 2025-05-05:
    [mod] added version field to packets
    [mod] revert ltsigkey in test/klutshnik.cfg
    [mod] klutshnikd is really klutshnikd not just "server"
    [doc] updated readme
    [mod] enabled client.key in test/klutshnik.cfg
    [doc] added manpages for client/server and their configs
    [enh] added b64(ltsigkeypub+noisekeypub) output at end of server
     init() so it can be added to authorized_keys on all servers
    [mod] removed useless test artifact
    [mod] more extensive tests
    [mod] lot's of cleanups related to encrypt/update/rotate in client,
     and added support for refresh op
    [mod] prefix for ltsig pubkeys in klutshnik.cfg
    [mod] removed obsolete todo and dump from server
    [enh] added refresh op to server
    [enh] server auth() takes u8 to handle multiple permissions instead
     of one
    [enh] added storing and publishing of epoch of keys in server

  * d/klutshnik.docs: added: install upstream README.md.
  * d/rules: remove libklutshnik.so.0, libklutshnik.so, libklutshnik.a,
    pkgconfig/libklutshnik.pc from usr/lib/ : we install those via
    d/klutshnik.install
  * d/klutshnik.install: install pkgconfig/libklutshnik.pc in the right
    multiarch directory
  * d/control: add pkgconf to Build-Depends
  * d/control: do not depend upon python3:any, but on python since we are
    Multi-Arch: same and call pycompile. thanks lintian
  * d/control, d/rules, d/klutshnik.manpages, d/lintian-overrides: build
    and install klutshnik(1), klutshnik.cfg(1): add cmark to
    Build-Depends.  (We still suffer from #1094434.)

 -- Joost van Baal-Ilić <joostvb@debian.org>  Mon, 05 May 2025 06:27:47 +0200

klutshnik (0.01+git20250501.25a7649-1) experimental; urgency=low

  * This release was never uploaded to the Debian archive.

  * New upstream git snapshot:
    [enh] encrypt takes either keyid or pubkey as param
    [enh] added init to cli, client ltsigpub is now 'KLTPK-' prefixed b64
     encoded in cfg file
    [enh] if client ltsigkey is not provided via cfg, it is read from
     stdin - allowing to store this key for example in sphinx
    [mod] cleanup in main.zig
    [doc] added example test session to readme
    [doc] added radicle id and ref
    [fix] cli decrypt doesn't need any params
    [doc] updated readme

