## klutshnik 0.2.1

=== debian/changelog ===
klutshnik (0.2.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop dependency on python3-toml (Closes: #1111336)
  * Drop "Rules-Requires-Root: no", it is the default now
  * Use dh-sequence-python3
  * Bump "Standards-Version" to 4.7.2
  * Lintian: capitalization-error-in-description-synopsis
  * Lintian: trailing-whitespace

 -- Alexandre Detiste <tchet@debian.org>  Wed, 17 Sep 2025 08:53:05 +0200

klutshnik (0.2.1-1) unstable; urgency=low

  * New upstream, released 2025-08-19:
    [fix] start-servers.sh was non-posix conform
    [doc] typo in man pages
    [enh] add support for BLE klutshnikds
    [doc] changed wording regarding early experimental into beta grade
    [mod] added missing utils.c to makefile sources
    [mod] verify that stp_ltpk is the same as the pk that was authorized
    [mod] updated to build with zig v0.14.1
    [mod] updated threadmodel in whitepaper
    [doc] updated readme example session with latest variant of cli interface

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 20 Aug 2025 19:07:50 +0200

klutshnik (0.2.0-5) unstable; urgency=low

  * upload to unstable.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sat, 16 Aug 2025 08:58:36 +0200
